gdallocationinfo(1)

NAME
gdallocationinfo - gdallocationinfo raster query tool

SYNOPSIS

Usage: gdallocationinfo [--help-general] [-xml] [-lifonly] [-valonly]
                        [-b band]* [-overview overview_level]
                        [-l_srs srs_def] [-geoloc] [-wgs84]
                        [-oo NAME=VALUE]* srcfile [x y]

DESCRIPTION

The gdallocationinfo utility provide a mechanism to query information about a pixel given its location in one of a variety of coordinate systems. Several reporting options are provided.

-xml:
    The output report will be XML formatted for convenient post processing.

-lifonly:
    The only output is filenames production from the LocationInfo request against the database (i.e. for identifying impacted file from VRT).

-valonly:
    The only output is the pixel values of the selected pixel on each of the selected bands.

-b band:
    Selects a band to query. Multiple bands can be listed. By default all bands are queried.

-overview overview_level:
    Query the (overview_level)th overview (overview_level=1 is the 1st overview), instead of the base band. Note that the x,y location (if the coordinate system is pixel/line) must still be given with respect to the base band.

-l_srs srs def:
    The coordinate system of the input x, y location.

-geoloc:
    Indicates input x,y points are in the georeferencing system of the image.

-wgs84:
    Indicates input x,y points are WGS84 long, lat.

-oo NAME=VALUE:
    (starting with GDAL 2.0) Dataset open option (format specific)

srcfile:
    The source GDAL raster datasource name.

x:  X location of target pixel. By default the coordinate system is pixel/line unless -l_srs, -wgs84 or -geoloc supplied.

y:  Y location of target pixel. By default the coordinate system is pixel/line unless -l_srs, -wgs84 or -geoloc supplied.

This utility is intended to provide a variety of information about a pixel. Currently it reports three things:

•   The location of the pixel in pixel/line space.
•   The result of a LocationInfo metadata query against the datasource - currently this is only implemented for VRT files which will report the file(s) used to satisfy requests for that pixel.
•   The raster pixel value of that pixel for all or a subset of the bands.
•   The unscaled pixel value if a Scale and/or Offset apply to the band.
The pixel selected is requested by x/y coordinate on the command line, or read from stdin. More than one coordinate pair can be supplied when reading coordinates from stdin. By default pixel/line coordinates are expected. However with use of the -geoloc, -wgs84, or -l_srs switches it is possible to specify the location in other coordinate systems.
The default report is in a human readable text format. It is possible to instead request xml output with the -xml switch.
For scripting purposes, the -valonly and -lifonly switches are provided to restrict output to the actual pixel values, or the LocationInfo files identified for the pixel.
It is anticipated that additional reporting capabilities will be added to gdallocationinfo in the future.

EXAMPLE
Simple example reporting on pixel (256,256) on the file utm.tif.
$ gdallocationinfo utm.tif 256 256
Report:
  Location: (256P,256L)
  Band 1:
    Value: 115
Query a VRT file providing the location in WGS84, and getting the result in xml.
$ gdallocationinfo -xml -wgs84 utm.vrt -117.5 33.75
<Report pixel="217" line="282">
  <BandReport band="1">
    <LocationInfo>
      <File>utm.tif</File>
    </LocationInfo>
    <Value>16</Value>
  </BandReport>
</Report>

AUTHORS
Frank Warmerdam warmerdam@pobox.com